#!/usr/bin/make -f

%:
	dh $@

override_dh_installsystemd:
	dh_installsystemd --name=prometheus-node-exporter-apt \
		prometheus-node-exporter-apt.timer
	dh_installsystemd --name=prometheus-node-exporter-apt \
		--no-start \
		prometheus-node-exporter-apt.service
	#
	dh_installsystemd --name=prometheus-node-exporter-ipmitool-sensor \
		prometheus-node-exporter-ipmitool-sensor.timer
	dh_installsystemd --name=prometheus-node-exporter-ipmitool-sensor \
		--no-start prometheus-node-exporter-ipmitool-sensor.service
	#
	dh_installsystemd --name=prometheus-node-exporter-mellanox-hca-temp \
		prometheus-node-exporter-mellanox-hca-temp.timer
	dh_installsystemd --name=prometheus-node-exporter-mellanox-hca-temp \
		--no-start prometheus-node-exporter-mellanox-hca-temp.service
	#
	dh_installsystemd --name=prometheus-node-exporter-smartmon \
		prometheus-node-exporter-smartmon.timer
	dh_installsystemd --name=prometheus-node-exporter-smartmon \
		--no-start \
		prometheus-node-exporter-smartmon.service
